import request from '@/utils/request'

// 查询架次信息列表
export function listSortie(query) {
  return request({
    url: '/manage/sortie/list',
    method: 'get',
    params: query
  })
}

// 查询架次信息详细
export function getSortie(id) {
  return request({
    url: '/manage/sortie/' + id,
    method: 'get'
  })
}

// 新增架次信息
export function addSortie(data) {
  return request({
    url: '/manage/sortie',
    method: 'post',
    data: data
  })
}

// 修改架次信息
export function updateSortie(data) {
  return request({
    url: '/manage/sortie',
    method: 'put',
    data: data
  })
}

// 删除架次信息
export function delSortie(id) {
  return request({
    url: '/manage/sortie/' + id,
    method: 'delete'
  })
}
